
QGIS Application - Bug report #14177

rules based labeling not saved

2016-01-27 04:51 AM - Kurt Ludikovsky

Status: Closed

Priority: Normal

Assignee: Martin Dobias

Category: Unknown

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 22179

Description

In rules based labaling of a vector layer the position of the layer is not saved when it is refered to a attirbute field.

Stesp to reproduce:

    1. create a layer with some points having name, type, position

    2. create a rule that uses the position attribute to set the position of the label (0-7) 

    3. save the project 

    4. reload the proejct

    5. the label position reference to the position field will be lost an having a fixed value (7)

Version : 2.12.3 64bit

Win 7/64

Associated revisions

Revision 5d466417 - 2016-01-28 10:48 AM - Martin Dobias

Fix loading of QgsDataDefined from XML (fixes #14177)

History

#1 - 2016-01-28 01:44 AM - Martin Dobias

- Assignee set to Martin Dobias

#2 - 2016-01-28 01:50 AM - Martin Dobias

- Status changed from Open to Closed

Fixed in changeset commit:"5d466417af7966a91ab490429a6ee775fa0269a5".

#3 - 2017-09-22 10:05 AM - Jürgen Fischer

- Category set to Unknown
